org.apache.ignite.cache.store.cassandra.persistence

## Class PojoValueField

- java.lang.Object
- - org.apache.ignite.cache.store.cassandra.persistence.PojoField
  - - org.apache.ignite.cache.store.cassandra.persistence.PojoValueField

- All Implemented Interfaces:
    Serializable

      public class PojoValueField
      extends PojoField

  Descriptor for Ignite value POJO class
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PojoValueField(Element el, Class pojoCls)` Constructs Ignite cache value field descriptor.
    `PojoValueField(PojoFieldAccessor accessor)` Constructs Ignite cache value field descriptor.
    `PojoValueField(PojoValueField field, Class<?> pojoCls)` Constructs instance of `PojoValueField` based on the other instance and java class to initialize accessor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getColumnDDL()`
    `String` | `getIndexDDL(String keyspace, String tbl)` Returns DDL for the field secondary index.
    `boolean` | `isIndexed()` Indicates if secondary index should be created for the field.

    - ### Methods inherited from class org.apache.ignite.cache.store.cassandra.persistence.PojoField

      `calculatedField, containsField, getAnnotation, getColumn, getJavaClass, getName, getValueFromObject, setValueFromRow`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PojoValueField

          public PojoValueField(Element el,
                                Class pojoCls)

      Constructs Ignite cache value field descriptor.
      Parameters:
        `el` - field descriptor xml configuration element.
        `pojoCls` - field java class

    - #### PojoValueField

          public PojoValueField(PojoFieldAccessor accessor)

      Constructs Ignite cache value field descriptor.
      Parameters:
        `accessor` - field property accessor.

    - #### PojoValueField

          public PojoValueField(PojoValueField field,
                                Class<?> pojoCls)

      Constructs instance of `PojoValueField` based on the other instance and java class to initialize accessor.
      Parameters:
        `field` - PojoValueField instance
        `pojoCls` - java class of the corresponding POJO

  - ### Method Detail

    - #### getColumnDDL

          public String getColumnDDL()

      Overrides:
        `getColumnDDL` in class `PojoField`
      Returns:
        Cassandra table column DDL statement.

    - #### isIndexed

          public boolean isIndexed()

      Indicates if secondary index should be created for the field.
      Returns:
        true/false if secondary index should/shouldn't be created for the field.

    - #### getIndexDDL

          public String getIndexDDL(String keyspace,
                                    String tbl)

      Returns DDL for the field secondary index.
      Parameters:
        `keyspace` - Cassandra keyspace where index should be created.
        `tbl` - Cassandra table for which secondary index should be created.
      Returns:
        secondary index DDL.

${current.year} Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.15.0
Release Date | : April 25 2023